GDAL

Public Member Functions | Static Public Member Functions | List of all members
OGRStyleTool Class Referenceabstract

This class represents a style tool. More...

`#include <ogr_featurestyle.h>`

## Public Member Functions
| OGRStyleTool (OGRSTClassId eClassId)
| Constructor.
OGRSTClassId | GetType ()
| Determine type of Style Tool.
void | SetUnit (OGRSTUnitId, double dfScale=1.0)
| Set Style Tool units.
OGRSTUnitId | GetUnit ()
| Get Style Tool units.
virtual const char * | GetStyleString ()=0
| Get the style string for this Style Tool.
void | SetStyleString (const char *pszStyleString)
| Undocumented.
const char * | GetStyleString (const OGRStyleParamId *pasStyleParam, OGRStyleValue *pasStyleValue, int nSize)
| Undocumented.
const char * | GetParamStr (const OGRStyleParamId &sStyleParam, const OGRStyleValue &sStyleValue, GBool &bValueIsNull)
| Undocumented.
int | GetParamNum (const OGRStyleParamId &sStyleParam, const OGRStyleValue &sStyleValue, GBool &bValueIsNull)
| Undocumented.
double | GetParamDbl (const OGRStyleParamId &sStyleParam, const OGRStyleValue &sStyleValue, GBool &bValueIsNull)
| Undocumented.
void | SetParamStr (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, const char *pszParamString)
| Undocumented.
void | SetParamNum (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, int nParam)
| Undocumented.
void | SetParamDbl (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, double dfParam)
| Undocumented.

## Static Public Member Functions
static GBool | GetRGBFromString (const char *pszColor, int &nRed, int &nGreen, int &nBlue, int &nTransparence)
| Return the r,g,b,a components of a color encoded in #RRGGBB[AA] format.
static int | GetSpecificId (const char *pszId, const char *pszWanted)
| Undocumented.

## Detailed Description

This class represents a style tool.

## Member Function Documentation

## ◆ GetParamDbl()

double OGRStyleTool::GetParamDbl | ( | const OGRStyleParamId & | sStyleParam,
|  | const OGRStyleValue & | sStyleValue,
|  | GBool & | bValueIsNull
| ) |  |

Undocumented.

Parameters

  sStyleParam | undocumented.
  sStyleValue | undocumented.
  bValueIsNull | undocumented.

Returns
  Undocumented.

## ◆ GetParamNum()

int OGRStyleTool::GetParamNum | ( | const OGRStyleParamId & | sStyleParam,
|  | const OGRStyleValue & | sStyleValue,
|  | GBool & | bValueIsNull
| ) |  |

Undocumented.

Parameters

  sStyleParam | undocumented.
  sStyleValue | undocumented.
  bValueIsNull | undocumented.

Returns
  Undocumented.

## ◆ GetParamStr()

const char * OGRStyleTool::GetParamStr | ( | const OGRStyleParamId & | sStyleParam,
|  | const OGRStyleValue & | sStyleValue,
|  | GBool & | bValueIsNull
| ) |  |

Undocumented.

Parameters

  sStyleParam | undocumented.
  sStyleValue | undocumented.
  bValueIsNull | undocumented.

Returns
  Undocumented.

## ◆ GetRGBFromString()

GBool OGRStyleTool::GetRGBFromString | ( | const char * | pszColor,
|  | int & | nRed,
|  | int & | nGreen,
|  | int & | nBlue,
|  | int & | nTransparance
| ) |  |
| static

Return the r,g,b,a components of a color encoded in #RRGGBB[AA] format.

Maps to OGRStyleTool::GetRGBFromString().

Parameters

  pszColor | the color to parse
  nRed | reference to an int in which the red value will be returned.
  nGreen | reference to an int in which the green value will be returned.
  nBlue | reference to an int in which the blue value will be returned.
  nTransparance | reference to an int in which the (optional) alpha value will be returned.

Returns
  TRUE if the color could be successfully parsed, or FALSE in case of errors.

## ◆ GetSpecificId()

int OGRStyleTool::GetSpecificId | ( | const char * | pszId,
|  | const char * | pszWanted
| ) |  |
| static

Undocumented.

Parameters

  pszId | Undocumented
  pszWanted | Undocumented

Returns
  Undocumented

## ◆ GetStyleString() [1/2]

OGRStyleTool::GetStyleString | ( |  | ) |
| pure virtual

Get the style string for this Style Tool.

Maps to the OGRStyleTool subclasses' GetStyleString() methods.

Returns
  the style string for this style tool or "" if the hST is invalid.

## ◆ GetStyleString() [2/2]

const char * OGRStyleTool::GetStyleString | ( | const OGRStyleParamId * | pasStyleParam,
|  | OGRStyleValue * | pasStyleValue,
|  | int | nSize
| ) |  |

Undocumented.

Parameters

  pasStyleParam | undocumented.
  pasStyleValue | undocumented.
  nSize | undocumented.

Returns
  undocumented.

## ◆ GetType()

OGRSTClassId OGRStyleTool::GetType | ( |  | ) |

Determine type of Style Tool.

Returns
  the style tool type, one of OGRSTCPen (1), OGRSTCBrush (2), OGRSTCSymbol (3) or OGRSTCLabel (4). Returns OGRSTCNone (0) if the OGRStyleToolH is invalid.

## ◆ GetUnit()

OGRStyleTool::GetUnit | ( |  | ) |
| inline

Get Style Tool units.

Returns
  the style tool units.

## ◆ SetParamDbl()

void OGRStyleTool::SetParamDbl | ( | const OGRStyleParamId & | sStyleParam,
|  | OGRStyleValue & | sStyleValue,
|  | double | dfParam
| ) |  |

Undocumented.

Parameters

  sStyleParam | undocumented.
  sStyleValue | undocumented.
  dfParam | undocumented.

## ◆ SetParamNum()

void OGRStyleTool::SetParamNum | ( | const OGRStyleParamId & | sStyleParam,
|  | OGRStyleValue & | sStyleValue,
|  | int | nParam
| ) |  |

Undocumented.

Parameters

  sStyleParam | undocumented.
  sStyleValue | undocumented.
  nParam | undocumented.

## ◆ SetParamStr()

void OGRStyleTool::SetParamStr | ( | const OGRStyleParamId & | sStyleParam,
|  | OGRStyleValue & | sStyleValue,
|  | const char * | pszParamString
| ) |  |

Undocumented.

Parameters

  sStyleParam | undocumented.
  sStyleValue | undocumented.
  pszParamString | undocumented.

## ◆ SetStyleString()

void OGRStyleTool::SetStyleString | ( | const char * | pszStyleString | ) |

Undocumented.

Parameters

  pszStyleString | undocumented.

## ◆ SetUnit()

void OGRStyleTool::SetUnit | ( | OGRSTUnitId | eUnit,
|  | double | dfGroundPaperScale = `1.0`
| ) |  |

Set Style Tool units.

Parameters

  eUnit | the new unit.
  dfGroundPaperScale | ground to paper scale factor.

The documentation for this class was generated from the following files:

- ogr_featurestyle.h
- ogrfeaturestyle.cpp